Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1545)

Issue 123040043: code review 123040043: cmd/link: fix testdata generation (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 10 months ago by mdempsky
Modified:
4 years, 10 months ago
Reviewers:
gobot, rsc
CC:
golang-codereviews, rsc, esk
Visibility:
Public.

Description

cmd/link: fix testdata generation Fixes issue 8494.

Patch Set 1 #

Patch Set 2 : diff -r a8843f90d292 https://code.google.com/p/go #

Patch Set 3 : diff -r a8843f90d292 https://code.google.com/p/go #

Patch Set 4 : diff -r a8843f90d292 https://code.google.com/p/go #

Patch Set 5 : diff -r a8843f90d292 https://code.google.com/p/go #

Total comments: 4
Unified diffs Side-by-side diffs Delta from patch set Stats (+11 lines, -8 lines) Patch
M src/cmd/link/pclntab_test.go View 1 chunk +6 lines, -0 lines 0 comments Download
M src/cmd/link/testdata/Makefile View 1 chunk +1 line, -1 line 4 comments Download
M src/cmd/link/testdata/autosection.6 View Binary file 0 comments Download
M src/cmd/link/testdata/autoweak.6 View Binary file 0 comments Download
M src/cmd/link/testdata/dead.6 View Binary file 0 comments Download
M src/cmd/link/testdata/hello.6 View Binary file 0 comments Download
M src/cmd/link/testdata/layout.6 View Binary file 0 comments Download
M src/cmd/link/testdata/link.hello.darwin.amd64 View 3 chunks +4 lines, -7 lines 0 comments Download
M src/cmd/link/testdata/pclntab.6 View Binary file 0 comments Download

Messages

Total messages: 9
mdempsky
Hello golang-codereviews@googlegroups.com, I'd like you to review this change to https://code.google.com/p/go
4 years, 10 months ago (2014-08-07 19:43:34 UTC) #1
mdempsky
Ping? Issue 8494 (fixed by this CL) is blocking me from mailing out https://codereview.appspot.com/126790043/ to ...
4 years, 10 months ago (2014-08-14 07:06:58 UTC) #2
gobot
R=rsc@golang.org (assigned by iant@golang.org)
4 years, 10 months ago (2014-08-14 16:19:35 UTC) #3
esk
https://codereview.appspot.com/123040043/diff/80001/src/cmd/link/testdata/Makefile File src/cmd/link/testdata/Makefile (right): https://codereview.appspot.com/123040043/diff/80001/src/cmd/link/testdata/Makefile#newcode12 src/cmd/link/testdata/Makefile:12: GOARCH=amd64 GOOS=darwin go tool 6a -trimpath=$$PWD $*.s Did you ...
4 years, 10 months ago (2014-08-15 02:47:29 UTC) #4
mdempsky
https://codereview.appspot.com/123040043/diff/80001/src/cmd/link/testdata/Makefile File src/cmd/link/testdata/Makefile (right): https://codereview.appspot.com/123040043/diff/80001/src/cmd/link/testdata/Makefile#newcode12 src/cmd/link/testdata/Makefile:12: GOARCH=amd64 GOOS=darwin go tool 6a -trimpath=$$PWD $*.s On 2014/08/15 ...
4 years, 10 months ago (2014-08-15 04:07:38 UTC) #5
rsc
LGTM https://codereview.appspot.com/123040043/diff/80001/src/cmd/link/testdata/Makefile File src/cmd/link/testdata/Makefile (right): https://codereview.appspot.com/123040043/diff/80001/src/cmd/link/testdata/Makefile#newcode12 src/cmd/link/testdata/Makefile:12: GOARCH=amd64 GOOS=darwin go tool 6a -trimpath=$$PWD $*.s use ...
4 years, 10 months ago (2014-08-25 00:30:14 UTC) #6
rsc
*** Submitted as https://code.google.com/p/go/source/detail?r=7db430d2938c *** cmd/link: fix testdata generation Fixes issue 8494. LGTM=rsc R=golang-codereviews, gobot, ...
4 years, 10 months ago (2014-08-25 00:31:11 UTC) #7
gobot
This CL appears to have broken the linux-386 builder. See http://build.golang.org/log/8949a3286f0dd5377ca7dd03733a29c0733d6a38
4 years, 10 months ago (2014-08-25 04:35:21 UTC) #8
mdempsky
4 years, 10 months ago (2014-08-27 17:56:52 UTC) #9
Message was sent while issue was closed.
https://codereview.appspot.com/123040043/diff/80001/src/cmd/link/testdata/Mak...
File src/cmd/link/testdata/Makefile (right):

https://codereview.appspot.com/123040043/diff/80001/src/cmd/link/testdata/Mak...
src/cmd/link/testdata/Makefile:12: GOARCH=amd64 GOOS=darwin go tool 6a
-trimpath=$$PWD $*.s
On 2014/08/25 00:30:14, rsc wrote:
> use $(shell pwd)
> not everyone uses a shell that sets $PWD.

Fair enough.  Thanks for applying that change and committing!
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b